import React, { Component } from "react";
import { View } from "@/components/flexView";
import styles from "./index.css";


export default class AgreementView extends Component {

    render() {
        return (
            <View className={styles.agreementViewWarp}>
                <View className={styles.agreementView} id='agreementView'>
                    <h3>版权所有：FaShop开源商城团队保留所有权利。</h3>
                    <p className={styles.topP}>感谢您选择FaShop开源商城（以下简称FaShop）。</p>
                    <p className={styles.topP}>为了使您正确并合法的使用本软件，请您在使用前务必阅读清楚下面的协议条款：</p>
                    <h4>一、本授权协议适用且仅适用于FaShop开源商城系统(以下简称FaShop)任何版本，FaShop开源商城官方对本授权协议的最终解释权。</h4>
                    <h4>二、协议许可的权利</h4>
                    <p>1.非授权用户允许商用，严禁去除FaShop相关的版权信息。</p>
                    <p>2.请尊重FaShop开发人员劳动成果，在未经官方同意的情况下禁止与官方发生销售竞争关系、二次开发后转卖、销售等商业行为。</p>
                    <p>3.任何企业和个人不允许对程序代码以任何形式任何目的再发布。</p>
                    <p>4.您可以在协议规定的约束和限制范围内修改FaShop开源商城源代码或界面风格以适应您的项目。</p>
                    <p>5.您拥有使用本软件构建的网站全部内容所有权，并独立承担与这些内容的相关法律义务。</p>
                    <p>6.获得官方书面允许之后，您可以将本软件应用于商业用途，但不能与官方发生商业竞争关系。</p>
                    <h4>三、协议规定的约束和限制</h4>
                    <p>1.未获官方书面许可之前，允许您对FaShop应用于学习和使用，但严禁去除FaShop任何相关的版权信息。</p>
                    <p>2.未经官方书面许可，不得对本软件或与之关联的商业授权进行出租、出售、抵押或发放子许可证。</p>
                    <p>3.未经官方书面许可，禁止在FaShop开源商城的整体或任何部分基础上以发展任何派生版本、修改版本或第三方版本用于重新分发。</p>
                    <p>4.如果您未能遵守本协议的条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。</p>
                    <h4>四、有限担保和免责声明</h4>
                    <p>1.本软件及所附带的文件是作为不提供任何明确的或隐含的赔偿或担保的形式提供的。</p>
                    <p>2.用户出于自愿而使用本软件，您必须了解使用本软件的风险，在尚未未获官方书面许可之前，我们不承诺对用户提供任何形式的技术支持、使用担保，也不承担任何因使用本软件而产生问题的相关责任。</p>
                    <p>3.电子版本形式的许可协议如同双方书面签署的协议一样，具有完全的和等同的法律效力。您一旦开始确认本协议并安装FaShop，即被视为完全理解并接受本协议的各项条款，在享有上述条款授予的权力的同时，受到相关的约束和限制。协议许可范围以外的行为，将直接违反本使用许可协议并构成侵权，我们有权随时终止使用许可，责令停止损害，并保留追究相关责任的权力。</p>
                    <p>4.如果本软件带有其它软件的整合API示范例子包，这些文件版权不属于本软件官方，并且这些文件是没经过授权发布的，请参考相关软件的使用许可合法的使用。</p>
                </View>
            </View>
        )
    }
}
